CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

添加框方法 (ActiveX)

2023-1-4 13:35| 发布者: admin| 查看: 569| 评论: 0|来自: AutoCAD

摘要: 创建一个三维实体框,其边平行于 WCS 的轴。

创建一个三维实体框,其边平行于 WCS 的轴。

支持的平台:仅窗口

签名

工 务 局:

RetVal = object.AddBox(Origin, Length, Width, Height)
对象

类型:模型空间,图纸空间

此方法适用的对象。

起源

访问:仅输入

类型:变体(双精度的三元素数组)

指定框原点的 3D WCS 坐标。此坐标表示对象的边界框的中心,而不是角。

长度

访问:仅输入

类型:

框的长度。必须是正数。

宽度

访问:仅输入

类型:

框的宽度。必须是正数。

高度

访问:仅输入

类型:

框的高度。必须是正数。

返回值(RetVal)

类型:3DSolid

对象作为新创建的框。3DSolid

言论

没有额外的评论。

例子

工 务 局:

Sub Example_AddBox()
    ' This example creates a box in model space.
        
    Dim boxObj As Acad3DSolid
    Dim length As Double, width As Double, height As Double
    Dim center(0 To 2) As Double
    
    ' Define the box
    center(0) = 5#: center(1) = 5#: center(2) = 0
    length = 5#: width = 7: height = 10#
    
    ' Create the box (3DSolid) object in model space
    Set boxObj = ThisDrawing.ModelSpace.AddBox(center, length, width, height)
    
    ' Change the viewing direction of the viewport to better see the box
    Dim NewDirection(0 To 2) As Double
    NewDirection(0) = -1: NewDirection(1) = -1: NewDirection(2) = 1
    ThisDrawing.ActiveViewport.direction = NewDirection
    ThisDrawing.ActiveViewport = ThisDrawing.ActiveViewport
    ZoomAll
    
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_AddBox()
    ;; This example creates a box in model space.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; Define the box
    (setq center (vlax-3d-point 5 5 0)
          boxLength 5
	         boxWidth 7
	         boxHeight 10)
    
    ;; Create the box (3DSolid) object in model space
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq boxObj (vla-AddBox modelSpace center boxLength boxWidth boxHeight))
    
    ;; Change the viewing direction of the viewport to better see the box
    (setq NewDirection (vlax-3d-point -1 -1 1))
    (setq activeViewport (vla-get-ActiveViewport doc))
    (vla-put-Direction activeViewport NewDirection)
    (vla-put-ActiveViewport doc activeViewport)
    (vla-ZoomAll acadObj)
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-12 15:03

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部